﻿<?php
	if (!isset($_GET)) {
		exit('No parameters found');
	}
	if (!isset($_GET['runner'])) {
		exit('Parameter not correct');
	}
	require_once('inc/database.php');
	try {
		$sql = "INSERT INTO wf_runners (runner) VALUES (:runner)";
		$stmt = $db->prepare($sql);
		$stmt->bindParam(':runner', $runner, PDO::PARAM_STR);
		$runner = $_GET['runner'];
		$stmt->execute();
	}
	catch (PDOException $e) {
		echo "<pre>";
		echo "Line number: " . $e->getLine() . "<br />";
		echo "File: " . $e->getFile() . "<br />";
		echo "Error: " . $e->getMessage();
		echo "</pre>";	
	}
?>