<?php require_once('../inc/session.php'); ?>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="images/favicon.ico">
    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/signin.css" rel="stylesheet">
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <link href="../css/ie10-viewport-bug-workaround.css" rel="stylesheet">
	<link href="http://code.jquery.com/ui/1.12.0/themes/smoothness/jquery-ui.css" rel="stylesheet">
    <!-- Custom styles for this template -->
	<script src="http://code.jquery.com/jquery-1.12.4.js"></script>
	<script src="http://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
	<script src="../js/jquery.numeric.min.js"></script>
	<script>
	$(document).ready(function($){
		$(".numeric").numeric();
	});
	$(document).ready(function($){
		$('#nameAutoComplete').autocomplete({
			source:'suggest_name.php', 
			minLength:2
			});
		$('#firstnameAutoComplete').autocomplete({
			source:'suggest_firstname.php', 
			minLength:1
			});
		});
	function checkAll() {
		checkNumber();
		var noError=true;
		var name=$('#nameAutoComplete').val();
		$('#nameStatus').removeClass('alert alert-danger');
		$('#nameStatus').html("");
		if (!$.trim(name)) {
			$('#nameStatus').html("Name should be filled in");
			$('#nameStatus').addClass('alert alert-danger');
			noError=false;
		}
		var firstname=$('#firstnameAutoComplete').val();
		$('#firstnameStatus').removeClass('alert alert-danger');
		$('#firstnameStatus').html("");
		if (!$.trim(firstname)) {
			$('#firstnameStatus').html("First name should be filled in");
			$('#firstnameStatus').addClass('alert alert-danger');
			noError=false;
		}
		var number=$('#attributedNumber').val();
		if ((number && number.length != 3) || (!number)) {
			$('#numberStatus').html("Number must have 3 digits");
			$('#numberStatus').addClass('alert alert-danger');
			noError=false;
		}
		var numberStatus = $('#numberStatus').text();
		if (numberStatus != "") {
			$('#numberStatus').html(numberStatus);
			$('#numberStatus').addClass('alert alert-danger');
			noError=false;
		}
		return noError;
	}
	function checkNumber () {
		var number=$('#attributedNumber').val();
		if (number && number.length == 3) {
			$.ajax({
				type:'post',
				url:'checknumber.php',
				async: false,
				cache: false,
				data: {
					checkNumber:number,
				},
				success: function(response) {
					if (response=="OK") {
						$('#numberStatus').html("");
						$('#numberStatus').removeClass('alert alert-danger');
					}
					else {
						$('#numberStatus').html(response);
						$('#numberStatus').addClass('alert alert-danger');
					}
				}
			})
		}
		else {
			if (number && number.length!=3) {
				$('#numberStatus').html("Number must have 3 digits");
				$('#numberStatus').addClass('alert alert-danger');		
			}
		}
	}
	function checkFirstname() {
		var firstname = $('#firstnameAutoComplete').val();
		if (firstname) {
			$('#firstnameStatus').html("");
			$('#firstnameStatus').removeClass("alert alert-danger");
		}
	}
	function checkName() {
		var name = $('#nameAutoComplete').val();
		if (name) {
			$('#nameStatus').html("");
			$('#nameStatus').removeClass("alert alert-danger");
		}
	}
</script>
<title>New runner</title>
</head>
<body>
	<form method="POST" action="insertdata.php" class="form-signin" onsubmit="return checkAll();">
        <h2 class="form-signin-heading">Add runner</h2>
		<input type="text" placeholder="Name" name="nameAutoComplete" id="nameAutoComplete" class="ui-autocomplete-input form-control" autocomplete="off"  onkeyup="checkName();" required autofocus />
		<p id="nameStatus" class=""></p>
		<input type="text" placeholder="First name" name="firstnameAutoComplete" id="firstnameAutoComplete" class="ui-autocomplete-input form-control" autocomplete="off" onkeyup="checkFirstname();" required  />
		<p id="firstnameStatus" class=""></p>
		<input type="text" placeholder="Number" name="attributedNumber" id="attributedNumber" class="numeric form-control" onkeyup="checkNumber();" required >
		<p id="numberStatus" class=""></p>
		<input type="submit" name="submit" id="submitButton" class="btn btn-lg btn-primary btn-block" value="Add">
	</form>
</body>
</html>