<?php if (!file_exists('inc/variables.php')) {header('Location:checksetup.php'); }?><html>
<head>
	<meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="images/favicon.ico">    
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <link href="css/ie10-viewport-bug-workaround.css" rel="stylesheet">
	<link href="http://code.jquery.com/ui/1.12.0/themes/smoothness/jquery-ui.css" rel="stylesheet">
	<link href="css/signin.css" rel="stylesheet">
    <!-- Custom styles for this template -->
	<script src="//code.jquery.com/jquery-1.12.4.js"></script>
	<script src="//code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
	<script src="js/jquery.numeric.min.js"></script>
	<title>Results</title>
<style type="text/css">
.centerText {
	text-align: center;
}
@media screen and (max-width: 479px) {
    * {
		font-size: 11px;
	}
	table { width:100%; }
	.btn-sm {
		padding:2px;
	}
	.form-signin {
		padding-top: 5px;
		padding-bottom: 0px;
	}
	.form-signin .form-control {
		font-size:14px;
		padding: 5px;
		margin: 0px;
	}
	.table-responsive {
		margin: 0px;
		padding: 0px;
	}
}
@media screen  and (min-width:480px){
    body {font-size: 16px;}
	.form-signin .form-control {
		font-size:12px;
	}
}
</style>
</head>
<?php function persist($val1, $val2) {
	if (isset($val1) && isset($val2)) {
		if ($val1==$val2) {
			echo " selected=\"selected\"";
		}
	}
}
?>
<body>
<form method="GET" class="form-signin">
	<select name="group" id="group" class="form-control">
		<option value="ALL" <?php if (!empty($_GET)) { persist($_GET['group'],"ALL");	} ?>>All runners</option>
		<option value="1" <?php if (!empty($_GET)) { persist($_GET['group'],1); } ?>>4KM - Ladies</option>
		<option value="2" <?php if (!empty($_GET)) { persist($_GET['group'],2); } ?>>4KM - Men</option>
		<option value="3" <?php if (!empty($_GET)) { persist($_GET['group'],3); } ?>>8KM - Ladies</option>
		<option value="4" <?php if (!empty($_GET)) { persist($_GET['group'],4); } ?>>8KM - Men</option>
		<option value="5" <?php if (!empty($_GET)) { persist($_GET['group'],5); }?>>12KM - Ladies</option>
		<option value="6" <?php if (!empty($_GET)) { persist($_GET['group'],6); } ?>>12KM - Men</option>
	</select>
	<select name="order" id="order" class="form-control">
		<option value="time" <?php if (!empty($_GET)) { persist($_GET['order'],'time'); } ?>>Sort arrived runners by TIME</option>
		<option value="runner" <?php if (!empty($_GET)) { persist($_GET['order'],'runner'); } ?>>Sort arrived runners by NUMBER</option>
		<option value="name" <?php if (!empty($_GET)) { persist($_GET['order'],'name'); } ?>>Sort arrived runners by NAME</option>
	</select>
	<input type="submit" value="TONEN" class="btn btn-primary btn-sm btn-responsive btn-block ">
</form>
<?php
	include_once('inc/database.php');
	$sql = "SELECT w2.runner as rnr, time(w2.moment) as mmnt, timediff(w2.moment, w1.moment) as diftime, firstname, lastname 
			FROM `wf_runners`w1, wf_runners w2, wf_participants wfp 
			WHERE w1.runner = 0 and w2.runner <> 0 and wfp.runner = w2.runner";
	$add1 = "";
	if (isset($_GET['group'])) {
		switch($_GET['group']) {
			case 1:
				$add1 = ' and w2.runner between 100 and 199';
				break;
			case 2:
				$add1 = ' and w2.runner between 200 and 299';
				break;
			case 3:
				$add1 = ' and w2.runner between 300 and 399';
				break;
			case 4:
				$add1 = ' and w2.runner between 400 and 499';
				break;
			case 5:
				$add1 = ' and w2.runner between 500 and 599';
				break;
			case 6:
				$add1 = ' and w2.runner between 600 and 699';
				break;
		}
	}
	$add2=" order by diftime";
	if (isset($_GET['order'])) {
		if ($_GET['order'] == 'runner') {
			$add2 = ' order by w2.runner';
		}
		if ($_GET['order'] == 'time') {
			$add2 = ' order by diftime';
		}
	}
	else {
		$add2 = ' order by w2.runner';
	}
	$sql .= $add1 . $add2;
	$results = $db->query($sql); ?>
<div class="row">
<div class="col-sm-2 col-md-2 col-lg-3"></div>
	<div class="col-xs-12 col-sm-8 col-md-8 col-lg-6"><table class="table table-striped table-condensed">
<?php
	echo "<th>Place</th><th>Time</th><th>Name</th><th>First name</th><th>Number</th>";
	$arrival=1;
	foreach($results as $row) {
		echo "<tr>";
			echo "<td class=\"centerText\">" . $arrival . "</td>";
			echo "<td>" . $row['diftime'] . "</td>";
			echo "<td>" . $row['lastname'] . "</td>";
			echo "<td>" . $row['firstname'] . "</td>";
			echo "<td class=\"centerText\">" . $row['rnr'] . "</td>";
		echo "</tr>";
		$arrival++;
	}
	// Runners which were subscribed but did not arrive
	$sql = "SELECT * FROM wf_participants w2 where runner not in (select runner from wf_runners)" . $add1 . " order by lastname, firstname";
	$results = $db->query($sql);
	foreach($results as $row) {
		echo "<tr>";
			echo "<td class=\"centerText\">-</td>";
			echo "<td>&nbsp;</td>";
			echo "<td>" . $row['lastname'] . "</td>";
			echo "<td>" . $row['firstname'] . "</td>";
			echo "<td class=\"centerText\">" . $row['runner'] . "</td>";
		echo "</tr>";
	}
	?>
	</table>
	</div>
	<div class="col-sm-2 col-md-2 col-lg-3"></div>
</div>
</body>
</html>